/**********************************************************************
 *
 * Copyright(C) 2011, Embedded Artists AB
 * All rights reserved.
 *
 ***********************************************************************
 * Software that is described herein is for illustrative purposes only
 * which provides customers with programming information regarding the
 * products. This software is supplied "AS IS" without any warranties.
 * Embedded Artists AB assumes no responsibility or liability for the
 * use of the software, conveys no license or title under any patent,
 * copyright, or mask work right to the product. Embedded Artists AB
 * reserves the right to make changes in the software without
 * notification. Embedded Artists AB also make no representation or
 * warranty that such application will be suitable for the specified
 * use without further testing or modification.
 **********************************************************************/

#ifndef APPLICATION_H_
#define APPLICATION_H_

#define EA_LED_INIT	GPIOSetDir( 0, 7, 1 )
#define EA_LED_OFF  GPIOSetBitValue( 0, 7, 0 )
#define EA_LED_ON   GPIOSetBitValue( 0, 7, 1 )

#define PWR_I2C_INIT GPIOSetDir( 1, 23, 1 )
#define PWR_I2C_ON   GPIOSetBitValue( 1, 23, 0 )
#define PWR_I2C_OFF  if(0)GPIOSetBitValue( 1, 23, 1 )


#define PWR_SIGNAL_SLEEP_START	GPIOSetBitValue( 0, 17, 1 )
#define PWR_SIGNAL_SLEEP_END	GPIOSetBitValue( 0, 17, 0 )
#define PWR_SIGNAL_IRQ_START	GPIOSetBitValue( 0, 18, 1 )
#define PWR_SIGNAL_IRQ_END		GPIOSetBitValue( 0, 18, 0 )
#define PWR_SIGNAL_48MHZ_START	GPIOSetBitValue( 0, 19, 1 )
#define PWR_SIGNAL_48MHZ_END	GPIOSetBitValue( 0, 19, 0 )
#define PWR_SIGNAL_12MHZ_START	GPIOSetBitValue( 0, 20, 1 )
#define PWR_SIGNAL_12MHZ_END	GPIOSetBitValue( 0, 20, 0 )
#define PWR_SIGNAL_XXX_START	GPIOSetBitValue( 0, 21, 1 )
#define PWR_SIGNAL_XXX_END		GPIOSetBitValue( 0, 21, 0 )
#define PWR_SIGNALS_INIT	{GPIOSetDir(0,17,1);GPIOSetDir(0,18,1);GPIOSetDir(0,19,1);GPIOSetDir(0,20,1);GPIOSetDir(0,21,1);}
#define PWR_SIGNALS_RESET	{GPIOSetBitValue(0,17,0);GPIOSetBitValue(0,18,0);GPIOSetBitValue(0,19,0);GPIOSetBitValue(0,20,0);GPIOSetBitValue(0,21,0);}

#endif /* APPLICATION_H_ */
