/**********************************************************************
 *
 * Copyright(C) 2011, Embedded Artists AB
 * All rights reserved.
 *
 ***********************************************************************
 * Software that is described herein is for illustrative purposes only
 * which provides customers with programming information regarding the
 * products. This software is supplied "AS IS" without any warranties.
 * Embedded Artists AB assumes no responsibility or liability for the
 * use of the software, conveys no license or title under any patent,
 * copyright, or mask work right to the product. Embedded Artists AB
 * reserves the right to make changes in the software without
 * notification. Embedded Artists AB also make no representation or
 * warranty that such application will be suitable for the specified
 * use without further testing or modification.
 **********************************************************************/

#ifndef __LM75B_H
#define __LM75B_H

#define LM75B_CFG_NORMAL	0x00
#define LM75B_CFG_SHUTDOWN	0x01

void lm75b_init (void);
int32_t lm75b_readTemp(void);
int8_t lm75b_config(int8_t config);


#endif /* end __LM75B_H */
/****************************************************************************
**                            End Of File
*****************************************************************************/
