/******************************************************************************
 *
 * Copyright:
 *    (C) 2000-2008 Embedded Artists AB
 *
 * File:
 *    general.h
 *
 * Description:
 *    Contains general definitions
 *
 *****************************************************************************/
#ifndef _GENERAL_H
#define _GENERAL_H

/******************************************************************************
 * Defines and typedefs
 *****************************************************************************/

#ifndef NULL
#define NULL    ((void *)0)
#endif

#ifndef FALSE
#define FALSE   (0)
#endif

#ifndef TRUE
#define TRUE    (1)
#endif

typedef unsigned char tU8;
typedef unsigned short tU16;
typedef unsigned int tU32;
typedef signed char tS8;
typedef signed short tS16;
typedef signed int tS32;
typedef unsigned char tBool;

#endif

