/*****************************************************************************
 *   systick.h:  Header file for SysTick
 *
 *   Copyright(C) 2011, Embedded Artists AB
 *   All rights reserved.
 *
******************************************************************************/
#ifndef __SYS_TICK_H
#define __SYS_TICK_H

extern volatile uint32_t sysTickCounter;
extern volatile uint8_t  sysTickFlag;

void initSysTickCounter(uint16_t hzTick);
void sysTickHookRegister(void (*pFunc)(void));
void sysTickDelay(uint32_t msDelay);

#endif /* end __SYS_TICK_H */
/****************************************************************************
**                            End Of File
*****************************************************************************/
